
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #239

libcdio-0.90 API change

January 08, 2013 15:53 - Gaetan Bisson

Status: Closed Start date: January 08, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/cdaudio Estimated time: 0.00 hour

Target version: 3.3.4   

Affects version: 3.3.3   

Description

Compiling audacious-plugins-3.3.3 against libcdio-0.90 requires the following changes:

- updating the include cdio/cdda.h to cdio/paranoia/cdda.h (now part of the new libcdio-paranoia package)

- minor API changes regarding cdio_get_cdtext

The attached patch fixes those issues.

I am not very confident about the cdio_get_cdtext/cdtext_get business.

Please double-check that it indeed does what is intended. Thanks!

History

#1 - January 09, 2013 02:32 - John Lindgren

- File libcdio-v2.patch added

Thanks.  I've changed the patch to be compatible with libcdio < 0.90.  Would you please double-check that it still works with 0.90?

#2 - January 09, 2013 03:12 - Gaetan Bisson

Your improved patch appears to work fine with libcdio-0.90. Cheers.

#3 - January 10, 2013 00:15 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.3.4

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious-plugins/commit/4dbb9cc56edc9335de678c99816f14748a52c8ec

Files

libcdio.patch 3.63 KB January 08, 2013 Gaetan Bisson

libcdio-v2.patch 4.29 KB January 09, 2013 John Lindgren
